; configuration file for yaP v0.6 (http://rolandtoth.hu/yaP/)
; application name:
; version:
; website:

[GENERAL]
application = App\App.exe
; commandline =
; workdir =

[BEFORE]
; dir = %Appdata%\Dir
; file = %Appdata%\Dir\File.ini
; regkey = HKCU\Software\RegKey

[AFTER]
; -dir = %Appdata%\Dir :: ifempty
; -file = %Appdata%\File*
; -regkey = HKCU\Software\RegKey :: ifempty


; [QUICK REFERENCE]
; application = App\App.exe :: App\AppX64.exe
; commandline = /nosplash
; workdir = c:\Dir
; !admin = 1
; !dotnet = 2.0!
; !java = 1.6
; !multiple = -1
; !online = 1
; !os = XP
; !waitprocess = - Notepad++

; --- Wrap: runs before & after ---
; dir = %Appdata%\Dir [ :: Dir\]
; file = %Appdata%\File.ini [ :: Dir\]
; regkey = HKCU\Software\Key [ :: settings.reg]
; regvalue = HKCU\Software\Key\Value [ :: settings.reg]

; --- Backup: runs before & after ---
; (dir) = %Appdata%\Dir
; (file) = %Appdata%\File.ini
; (regkey) = HKCU\Software\Key
; (regvalue) = HKCU\Software\Key\Value

; --- Copy/move ("<-" to reverse) ---
; ->dir = SourceDir [ :: TargetDir\] [ :: move, no overwrite]
; ->file = SourceFile :: TargetFile/TargetDir\ [ :: move, no overwrite]
; ->regkey = SourceKey :: TargetKey [ :: move]
; ->regvalue = SourceValue :: TargetValue [ :: move]

; --- Create ---
; +dir = %Appdata%\Dir
; +file = %Appdata%\File.ini [ ::  no overwrite :: file contents]
; +regkey = HKCU\Software\Key
; +regvalue = HKCU\Software\Key :: ValueName :: ValueData :: REG_SZ :: Separator

; --- Delete ---
; -dir = %Appdata%\Dir [ :: ifempty]
; -file = %Appdata%\File*
; -regkey = HKCU\Software\Key [ :: ifempty]
; -regvalue = HKCU\Software\Key :: ValueName

; --- Misc ---
; attributes = File/Dir [ :: archive, compressed, hidden, normal, readonly, system]
; batch = File.bat [ :: show]
; clip = Text to put on clipboard (*EMPTY* clears)
; date = File :: 2013.12.31 23:59 :: created
; delay = 500
; envvar = LANG :: English
; iniread = File.ini :: [Section] :: Key :: UserVar
; iniwrite = File.ini :: [[--]Section] :: Key [ :: Value]
; killprocess = Notepad.ex*
; message = Hello world! [ :: cancellable]
; nowait = 1
; quit = 1
; regdll = File.dll [ :: unregister]
; regexport = HKCU\Software\RegKey\[RegValue] [ :: File.reg]
; regimport = File.reg
; regmerge = File.reg :: FileAppend.reg
; replace = File :: StringToFind :: Replacement
; replaceline = File :: Beginning of line to find :: Replacement
; restore = 1
; run = App.exe [ :: wait] [ :: parameters] [ :: workdir]
; stringreplace = {YAPROOT} :: \ :: // :: MyVar
; symlink = File/Dir\ :: Target
; systemrefresh = 1
; uservar = MyVar :: HKCU\Software\Key

; --- Macros ---
; path: {YAPROOT} {EXEPATH} {APPEXE} {DRIVE} {USERFILE} {USERDIR} {WORKDIR}
; text: {CLIPBOARD} {LINEBREAK} {USERTEXT}
; date: {d} {j} {m} {n} {Y} {y} {g} {G} {h} {H} {i} {s} {U}
; lang: {LANG} {LOCALE} {LOCALENAME} {LOCALENAME_SHORT} {COUNTRY}
; misc: {MyVar} {COMMANDLINE} {PARAMETERS}